Publiser · Artikler
Publisere, planlegge og arkivere artikler
POST
/api/v1/addons/shopently.blog/posts/{post_id}/publishcURL-forespørsel
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request POST \
--url https://shop.onshopently.com/api/v1/addons/shopently.blog/posts/2103ba96-2713-420b-b197-8a008730c851/publish \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: learn-d4d47592948e4567a1511a4e797467af' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":2,"revision_id":"5745799d-723b-4341-9f6e-1a63e50f1d40"}'
Svar
{
"data": {
"id": "2103ba96-2713-420b-b197-8a008730c851",
"status": "published",
"version": 3
},
"meta": {
"request_id": "ebb0a3b6-a737-4b64-8ac9-8e2a39e7ab46"
}
}
Nødvendige tilganger
- Autentisering
- Tilgangstoken
- Tilgjengelig fra
- BASIC
- Nøkkelens tillatelse
- Publisere, planlegge og arkivere artikler
addon.shopently.blog:post_publish
Påkrevd installert modul
shopently.blog